Apply by doing:
	cd /usr/src
	patch -p0 < 012_nfs.patch
And then rebuild your kernel.

Index: sys/nfs/nfs_vfsops.c
===================================================================
RCS file: /cvs/src/sys/nfs/nfs_vfsops.c,v
retrieving revision 1.32
retrieving revision 1.32.2.1
diff -u -r1.32 -r1.32.2.1
--- sys/nfs/nfs_vfsops.c	2001/02/20 01:50:11	1.32
+++ sys/nfs/nfs_vfsops.c	2001/07/30 22:07:10	1.32.2.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: nfs_vfsops.c,v 1.32 2001/02/20 01:50:11 assar Exp $	*/
+/*	$OpenBSD: nfs_vfsops.c,v 1.32.2.1 2001/07/30 22:07:10 jason Exp $	*/
 /*	$NetBSD: nfs_vfsops.c,v 1.46.4.1 1996/05/25 22:40:35 fvdl Exp $	*/
 
 /*
@@ -649,6 +649,8 @@
 		nfs_decode_args(nmp, &args, &mp->mnt_stat.mount_info.nfs_args);
 		return (0);
 	}
+	if (args.fhsize < 0 || args.fhsize > NFSX_V3FHMAX)
+		return (EINVAL);
 	error = copyin((caddr_t)args.fh, (caddr_t)nfh, args.fhsize);
 	if (error)
 		return (error);
